Status Update
curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/channel/order/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderList": [
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderItems": [
{
"orderItemId": "5437233",
"shipFromCountry": "DEU"
}
]
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/order/status"
payload = { "orderList": [
{
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderItems": [
{
"orderItemId": "5437233",
"shipFromCountry": "DEU"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderList: [
{
sellerId: '4711',
orderId: '43523-43432-43532',
orderItems: [{orderItemId: '5437233', shipFromCountry: 'DEU'}]
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/order/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "CHN401",
"message": "Not all orders could be processed. 9 out of 10 orders were stored successfully",
"severity": "warning",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Order
Status Update
Update status for an existing order
PUT
/
v1
/
channel
/
order
/
status
Status Update
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
List of order status changes (e.g. payment received, shipped) reported by the marketplace.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Call was overall successful but some items can be faulty
Show child attributes
Show child attributes
Example:
[
{
"code": "GEN700",
"message": "Seller SELLER_4711 does not exist on channel kaufland.",
"severity": "error",
"hint": "i9n-order22"
}
]
Was this page helpful?
⌘I